Subject: Re: Help on posix file lock semantics
From: Kurt Roeckx <[email-masked]>
To: Gunnar Andre Dalsnes <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 Aug 2001 02:19:39 +0200

On Wed, Aug 22, 2001 at 01:31:39AM +0200, Gunnar Andre Dalsnes wrote:
> At 22.08.01 00:37 , you wrote:
> >
> >Those 2 regions follow each other.  I think you're not supposed
> >to merge those regions even if you could.
> >
> >If you don't merge regions in any other case, why would you
> >suddenly want to merge them in the case of overlapping regions?
> 
> But if the (linux) os kernel does it automagically for us, I want to do it too:-)

The comment for posix_lock_file() in fs/locks.s says: 
"We merge adjacent locks whenever possible.", so I guess it
always does.

Kurt

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/